package cz.moneta.test.dsl.mwf;

import cz.moneta.test.harness.support.mwf.MwfData;

import java.util.Map;
import java.util.HashMap;

public class MWF1I7AppsKey implements MwfData {

    private Map<String, Object> params = new HashMap<>();
    
    private MWF1I7AppsKey() {}

    public static MWF1I7AppsKey builder() {
        return new MWF1I7AppsKey();
    }

    public MWF1I7AppsKey rsAppKey(Long rsAppKey) {
        params.put("RS_APP_KEY", rsAppKey);
        return this;
    } 

    public Map<String, Object> getParams() {
        return params;
    }

}
